Package de.willuhn.jameica.hbci.report.balance

# Class BookingAccountBalanceProvider

java.lang.Object
de.willuhn.jameica.hbci.report.balance.BookingAccountBalanceProvider

All Implemented Interfaces:
  `AccountBalanceProvider`

public class BookingAccountBalanceProvider extends Object implements AccountBalanceProvider
AccountBalance-Provider fuer normale Konten mit Umsatz-Buchungen.

## Constructor Summary

Constructors
Constructor
Description
`BookingAccountBalanceProvider()`

## Method Summary

Modifier and Type
Method
Description
`AbstractChartDataSaldo`
`getBalanceChartData(Konto konto, Date start, Date end)`
Gibt die taeglichen Salden fuer ein Konto als Chart-Datenreihe zurueck.
`List<Value>`
`getBalanceData(Konto konto, Date start, Date end)`
Gibt die taeglichen Salden fuer ein Konto als Liste von Werten zurueck.
`String`
`getName()`
Liefert einen Namen für Anzeige und Sortierung
`boolean`
`supports(Konto konto)`
Gibt an, ob der Provider fuer ein konkretes Konto Daten liefern kann.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BookingAccountBalanceProvider

public BookingAccountBalanceProvider()

## Method Details

### supports

public boolean supports(Konto konto)
Description copied from interface: `AccountBalanceProvider`
Gibt an, ob der Provider fuer ein konkretes Konto Daten liefern kann.

Specified by:
  `supports` in interface `AccountBalanceProvider`
Parameters:
  `konto` - Zu ueberpruefendes Konto
Returns:

### getBalanceChartData

public AbstractChartDataSaldo getBalanceChartData(Konto konto, Date start, Date end)
Description copied from interface: `AccountBalanceProvider`
Gibt die taeglichen Salden fuer ein Konto als Chart-Datenreihe zurueck.

Specified by:
  `getBalanceChartData` in interface `AccountBalanceProvider`
Parameters:
  `konto` - Konto fuer den Saldenabruf
  `start` - Startdatum der Salden
  `end` - Enddatum der Salden
Returns:
  die taeglichen Salden fuer ein Konto als Chart-Datenreihe

### getBalanceData

public List<Value> getBalanceData(Konto konto, Date start, Date end)
Description copied from interface: `AccountBalanceProvider`
Gibt die taeglichen Salden fuer ein Konto als Liste von Werten zurueck.

Specified by:
  `getBalanceData` in interface `AccountBalanceProvider`
Parameters:
  `konto` - Konto fuer den Saldenabruf
  `start` - Startdatum der Salden
  `end` - Enddatum der Salden
Returns:
  die taeglichen Salden fuer ein Konto als Liste von Werten

### getName

public String getName()
Description copied from interface: `AccountBalanceProvider`
Liefert einen Namen für Anzeige und Sortierung

Specified by:
  `getName` in interface `AccountBalanceProvider`
Returns:
  einen Namen für Anzeige und Sortierung